//
// SIDEBAR - BLOCK -- menu
//

#sidebar-first, #sidebar-second {

    .block-menu {

        @media (max-width: $screen-sm-max) {

            & {
                display: none;
            }
    
        }
    
        @media (min-width: $screen-sm-min) {
    
            ul.menu  {

                li {

                    a {
                        display: block;
                        padding: 15px 15px;
                        background: $sidebar-menu-background;
                        color: $sidebar-menu-link;  
                        border-bottom: 1px solid $sidebar-menu-border;
                        text-decoration: none;

                        &:hover {
                            background: $sidebar-menu-background-hover;
                            color: $sidebar-menu-link-hover;
                            text-decoration: underline;            
                        }

                        &.is-active {
                            background: $sidebar-menu-background-active;
                            color: $sidebar-menu-link-active;  
                            font-weight: bold;

                            &:hover {
                                background: $sidebar-menu-background-active-hover;
                                color: $sidebar-menu-link-active-hover;  
                            }
    
                        }

                    }

                    /* 2 */
                    ul {

                        li {

                            a {
                                padding-left: 40px;
                            }

                        }

                        /* 3 */
                        ul {

                            li {

                                a {
                                    padding-left: 65px;
                                }

                            }

                            /* 4 */
                            ul {

                                li {

                                    a {
                                        padding-left: 80px;
                                    }

                                }

                            }

                        }

                    }

                }

            }
    
        }
    
    }

}
